#include "xhbasic.h"
#include "buzzbot.h"
#include "buzz.xpm"
#include "buzz-l.xpm"

Pixmap buzzpm[2],buzzmsk[2];
BuzzBot::BuzzBot(XhedgehogWin *xw,float _x,float _y) :
  Enemy(xw,_x,_y,0,0,2,0) {
    if(!buzzpm[0]) {
      xw->LoadPixmap(buzz_xpm,&(buzzpm[0]),&(buzzmsk[0]));
      xw->LoadPixmap(buzz_l_xpm,&(buzzpm[1]),&(buzzmsk[1]));
    }
    ChangeSpriteShape(buzzpm[0],buzzmsk[0]);
    dir = 0;
    fly_count = 0;
    vx = 4.0;
    auto_animate = 1;
}

void BuzzBot::MoveSprite(float newx,float newy) {
  fly_count++; if(fly_count > 100) {
    fly_count = 0;
    switch(dir) {
    case 0:
      dir = 1;
      vx = -4.0;
      break;
    case 1:
      dir = 0;
      vx = 4.0;
      break;
    }
    ChangeSpriteShape(buzzpm[dir],buzzmsk[dir]);
  }
  ZoneObject::MoveSprite(newx,newy);
}
